Subject: New Troybilt Tiller: Need information

From: [email-masked] (Ravi Vaidyanathan)
Date: Sun, 2 Apr 1995 21:10:55 GMT

Hi:

I received a sales brochure for a tiny Troybilt tiller which the
company says is ideal for a small garden.  It has dethatching
tines as extras and is reasonably priced.  The ad does not state
how powerful the motor is.  A friend who is well versed in these
matters suggests that the tiller will not be practical, because
it is most likely underpowered.

Does anybody in this group have personal knowledge of this
tiller.  If you have used, I would very much appreciate your
comments as to its advantages and disadvantages.  

Thanks

Ravi

---

From: [email-masked] (Richard Campbell)
Date: 3 Apr 1995 15:17:45 GMT

In article <[email-masked]>, [email-masked] (Ravi Vaidyanathan) writes:
|> Hi:
|> 
|> I received a sales brochure for a tiny Troybilt tiller which the
|> company says is ideal for a small garden.  It has dethatching
|> tines as extras and is reasonably priced.  The ad does not state
|> how powerful the motor is.  A friend who is well versed in these
|> matters suggests that the tiller will not be practical, because
|> it is most likely underpowered.
|> 
|> Does anybody in this group have personal knowledge of this
|> tiller.  If you have used, I would very much appreciate your
|> comments as to its advantages and disadvantages.  

   I'm not 100% certain but believe that the Troybilt small
tiller uses the 1.6 HP Tecumseh engine.  This is the same small
engine used in Kmarts K-Gro tiller and the same as Gardener's
Supply's small tiller.  It seems to be used in the majority of
small tiller designs.

   I don't have experience with the Troybilt but I own a Scott's
Turfmaster (aka K-Gro).  The power of this tiller is perfectly fine
for use in a small garden.  It really does a job on beds that have
been previously dug by hand in prior years.  And just a couple 
of weeks ago I dug a hole for a small redbud using the
tiller.  We have really bad clay in my area near Dallas and
this little tiller handled digging this unworked area
without difficultly.  All of these small tillers seem to be
of a similar design (with the possible exception of the
Mantis - diff. engine, diff. type tines) so I would tend
to believe that they would all perform pretty much the same.

   Hope this helps.

-- 
Rich Campbell
[email-masked]

---

From: [email-masked] (Richard Campbell)
Date: 3 Apr 1995 15:17:45 GMT

Hope this helps.

-- 
Rich Campbell
[email-masked]

---

From: [email-masked] (Bill Stoffel)
Date: 6 Apr 1995 07:15:06 -0400

>it is most likely underpowered.

The Troy-Bilt "Mini-Tiller" has a 1.6 HP 2-cycle Tecumseh engine.
I don't have any personal experience with this size tiller, so I can't
comment on the adequacy of this power level.

__________________________________________________________________________
Bill Stoffel              |  CARDEROCKDIV, NSWC  |                        |
[email-masked] |  Code 859            |  Get well soon Ernie   |
(410) 293-9507            |  Annapolis, MD 21402 |    and Page            |
_________________________________________________|________________________|

---

From: [email-masked] (B GOOGLE)
Date: 6 Apr 1995 03:09:49 -0400

Just got our new Mantis a few days ago and used it this past weekend. 
What a powerful little thing!!  It went through our clay (which could be
used for bricks!!!!) like mad.  Happy so far.  Have yet to see how it
holds up, but we have friends who have had theirs for three years and use
it every week for something or other.